Bug 92768 - support hiding title objects
Summary: support hiding title objects
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Quan
URL:
Whiteboard: target:5.2.0 target:7.1.0 target:7.2.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2015-07-15 16:31 UTC by Markus Mohrhard
Modified: 2021-02-18 08:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Mohrhard 2015-07-15 16:31:59 UTC
Right now it is not possible to hide a title object. So if you want to hide it you need to delete it and loose all formatting and the title text.

The first step is to add a new property Show to chart2/source/model/main.Title.hxx and chart2/source/model/main/Title.cxx.

After that setting a title to hidden and fixing the rendering problems would be the next step.
Comment 1 Robinson Tryon (qubit) 2015-12-13 10:58:01 UTC Comment hidden (obsolete)
Comment 2 Robinson Tryon (qubit) 2016-02-18 14:52:35 UTC Comment hidden (obsolete)
Comment 3 Commit Notification 2016-04-30 13:06:08 UTC
Feyza Yavuz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=783b02de3bc75cd0be1a6e919d4755a297fe7a84

tdf#92768 Support hiding title objects

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-05-08 20:23:26 UTC
Feyza Yavuz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ab7ad3bb0138c2614f66dba8af39cabe760f910

tdf#92768 Support hiding title objects

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 jani 2016-06-14 09:46:20 UTC
Looks solved
Comment 6 Jan Holesovsky 2020-11-12 11:27:59 UTC
Nope, unfortunately it is not solved yet, the rendering support based on the "Visibility" property is still missing.
Comment 7 Commit Notification 2020-11-13 13:35:42 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5858f628829ccd14e4915c138d798e03dba20edc

Sidebar tdf#92768: Fix title & subtitle checkboxes on the ChartDeck

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Quan 2021-02-09 08:12:38 UTC
Hi,

I would like to work on this bug. However the description is not really clear for me, specifically how chart is related to this bug. I've tried to reproduce the bug in Writer but don't know if this is correct or not:
1. Open Writer
2. Add a variable (E.g: Hide) and put 1 as its value
3. Enter new line, choose "Title" in the text formatting drop down menu
4. Insert -> Field -> More field -> Functions -> Hidden text
5. Set condition as Hide==1 and type the Hidden text

Expect:
Add new hidden field in the title and is hidden.

Current result:
New field is added into the title but not hidden.

Could you tell me if this is the correct bugs. If it is then how is it related to chart? I'm new here so please understand if I ask stupid questions.

Thanks.
Comment 9 Buovjaga 2021-02-09 08:25:24 UTC
(In reply to quannguyenvan1701 from comment #8)
> Hi,
> 
> I would like to work on this bug. However the description is not really
> clear for me, specifically how chart is related to this bug.

The steps are:

1. Open Writer (or other application)
2. Insert - Chart
3. Either in the Sidebar Elements section, tick Title and input title or right-click the chart and select Insert Titles
Comment 10 Quan 2021-02-09 08:34:38 UTC
(In reply to Buovjaga from comment #9)
> (In reply to quannguyenvan1701 from comment #8)
> > Hi,
> > 
> > I would like to work on this bug. However the description is not really
> > clear for me, specifically how chart is related to this bug.
> 
> The steps are:
> 
> 1. Open Writer (or other application)
> 2. Insert - Chart
> 3. Either in the Sidebar Elements section, tick Title and input title or
> right-click the chart and select Insert Titles

So what is the bug here?
Comment 11 Buovjaga 2021-02-09 08:39:42 UTC
(In reply to quannguyenvan1701 from comment #10)
> (In reply to Buovjaga from comment #9)
> > (In reply to quannguyenvan1701 from comment #8)
> > > Hi,
> > > 
> > > I would like to work on this bug. However the description is not really
> > > clear for me, specifically how chart is related to this bug.
> > 
> > The steps are:
> > 
> > 1. Open Writer (or other application)
> > 2. Insert - Chart
> > 3. Either in the Sidebar Elements section, tick Title and input title or
> > right-click the chart and select Insert Titles
> 
> So what is the bug here?

Read comment 6. Then, read the description again and read all the previous commits.
Comment 12 Quan 2021-02-10 11:01:26 UTC
I've understood the problem. I see that to hide something I need to set "Show" or "Visible" property should to false . However I don't get how and where the properties are processed, I guess this is the "rendering problems" that Markus talked about in the description. I've tried to follow the code but has no luck as I don't know how the properties work. Could someone please point out the keywords/locations that I need to read or any info I need to know?
Thank you.
Comment 13 Buovjaga 2021-02-10 12:18:28 UTC
(In reply to Quan from comment #12)
> I've understood the problem. I see that to hide something I need to set
> "Show" or "Visible" property should to false . However I don't get how and
> where the properties are processed, I guess this is the "rendering problems"
> that Markus talked about in the description. I've tried to follow the code
> but has no luck as I don't know how the properties work. Could someone
> please point out the keywords/locations that I need to read or any info I
> need to know?

I think you just need to try harder and read more code. If you are still stuck, ask more specific questions, pointing to specific lines of code etc.
Comment 14 Quan 2021-02-15 07:33:35 UTC
Hi,
I've submitted a patch here https://gerrit.libreoffice.org/c/core/+/110889/1. This is not finished yet but please see if this is going to the right direction.
Thank you.
Comment 15 Commit Notification 2021-02-18 08:49:42 UTC
Quan Nguyen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/62dff2844b0bf1d1bcb8eb4d6db529ef4a31bee4

tdf#92768 Add rendering support for hiding title object in chart2

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.